using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System.Threading.Tasks;
using XYY.Authentication.Standard;
using XYY.Core.Standard.Mvc;
using XYY.Service.Standard.Order;

namespace XYY.Api.Order.Controllers
{
    [Route("api/[controller]/[action]")]
    [ApiController]
    public class HSCodeController : ApiControllerBase
    {
        private readonly IHSCodeService _iHSCodeService;
        public HSCodeController(IHSCodeService iHSCodeService)
        {
            _iHSCodeService = iHSCodeService;
        }
        [AllowAnonymous]
        public async Task<IActionResult> test(string code)
        {
            await _iHSCodeService.InsEUHSCode(code);
            return Ok();
        }
        [HttpPost]
        public async Task<IActionResult> InsPage(List<int>Ids)
        {
            var result = await _iHSCodeService.GetEUHSCodeDtos(Ids);
            return Ok(result);
        }
        [HttpPost]
        public async Task<IActionResult> SaveEUHSCodeUpdate(List<XYY.Model.Standard.Dto.Logistics.EUHSCodeDto> dtos)
        {
            var u = User.GetUserContent();
            await _iHSCodeService.SaveEUHSCodeUpdate(dtos,u);
            return Ok();
        }

    }
}
